Package org.silverpeas.mobile.client.apps.resourcesManager.events.app

## Class SaveReservationEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<ResourcesManagerAppEventHandler>
    - - org.silverpeas.mobile.client.apps.resourcesManager.events.app.AbstractResourcesManagerAppEvent
      - - org.silverpeas.mobile.client.apps.resourcesManager.events.app.SaveReservationEvent

-     public class SaveReservationEvent
      extends AbstractResourcesManagerAppEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.apps.resourcesManager.events.app.AbstractResourcesManagerAppEvent

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaveReservationEvent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `dispatch​(ResourcesManagerAppEventHandler handler)` |
    `ReservationDTO` | `getData()` |
    `void` | `setData​(ReservationDTO data)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.apps.resourcesManager.events.app.AbstractResourcesManagerAppEvent

      `getAssociatedType`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveReservationEvent

          public SaveReservationEvent()

  - ### Method Detail

    - #### getData

          public ReservationDTO getData()

    - #### setData

          public void setData​(ReservationDTO data)

    - #### dispatch

          protected void dispatch​(ResourcesManagerAppEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<ResourcesManagerAppEventHandler>`